> ## Documentation Index
> Fetch the complete documentation index at: https://polos.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get events from a topic



## OpenAPI

````yaml api-reference/endpoints/events/api-reference/openapi.json get /api/v1/events
openapi: 3.1.0
info:
  title: Polos Orchestrator API
  description: API for the Polos durable execution platform for AI agents
  contact:
    name: Polos Team
    url: https://github.com/polos-dev/polos
  license:
    name: ''
  version: 1.0.0
servers:
  - url: /
    description: Current server
security: []
tags:
  - name: Health
    description: Health check endpoints
  - name: Projects
    description: Project management endpoints
  - name: Agents
    description: Agent definition management
  - name: Tools
    description: Tool definition management
  - name: Workflows
    description: Workflow management
  - name: Executions
    description: Workflow execution management
  - name: Traces
    description: Observability traces
  - name: Events
    description: Event publishing and streaming
  - name: Event Triggers
    description: Event-based workflow triggers
  - name: Schedules
    description: Scheduled workflow execution
  - name: Workers
    description: Worker registration and management
  - name: Deployments
    description: Deployment management
paths:
  /api/v1/events:
    get:
      tags:
        - Events
      summary: Get events from a topic
      operationId: get_events
      parameters:
        - name: topic
          in: query
          description: Topic to get events from
          required: true
          schema:
            type: string
        - name: X-Project-ID
          in: header
          description: Project ID
          required: true
          schema:
            type: string
        - name: last_sequence_id
          in: query
          description: Last sequence ID for pagination
          required: false
          schema:
            type: integer
            format: int64
        - name: last_timestamp
          in: query
          description: Last timestamp for pagination (RFC3339)
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: 'Maximum number of events (default: 100)'
          required: false
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: List of events
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetEventsResponse'
        '400':
          description: Bad request
        '500':
          description: Internal server error
      security:
        - bearer_auth: []
        - cookie_auth: []
components:
  schemas:
    GetEventsResponse:
      type: object
      description: Response for getting events
      required:
        - events
        - has_more
      properties:
        events:
          type: array
          items:
            $ref: '#/components/schemas/EventResponse'
          description: List of events
        has_more:
          type: boolean
          description: Whether more events exist
        next_sequence_id:
          type:
            - integer
            - 'null'
          format: int64
          description: Next sequence ID for pagination
    EventResponse:
      type: object
      description: Event response
      required:
        - id
        - sequence_id
        - topic
        - data
        - created_at
      properties:
        created_at:
          type: string
          description: Creation timestamp (RFC3339)
        data:
          description: Event data
        event_type:
          type:
            - string
            - 'null'
          description: Event type
        id:
          type: string
          description: Event ID
        sequence_id:
          type: integer
          format: int64
          description: Sequence ID
        topic:
          type: string
          description: Topic
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
    cookie_auth:
      type: apiKey
      in: cookie
      name: polos_auth

````